import * as vue from "vue";
import { defineComponent, mergeProps, unref, useSSRContext } from "vue";
import { ssrRenderAttrs, ssrInterpolate, ssrRenderList, ssrRenderAttr, ssrIncludeBooleanAttr } from "vue/server-renderer";
import { I as normalizeList } from "../mount.js";
import "js-cookie";
import "events";
import "http";
import "@medv/finder";
import "front-matter";
import "markdown-it";
import "markdown-it-anchor";
import "markdown-it-implicit-figures";
import "markdown-it-link-attributes";
import "markdown-it-video";
import "remove-markdown";
import "./index.2544f8a4.js";
import "body-parser";
import "path-browserify";
import "dotenv";
import "compression";
import "serve-favicon";
import "serve-static";
import "html-minifier";
import "vite";
import "@vue/server-renderer";
import "fs";
import "enquirer";
import "semver";
import "glob";
import "minimist";
import "handlebars";
import "execa";
import "multer";
import "sharp";
import "@vitejs/plugin-vue";
import { t as textInputClasses } from "./theme.43fc44e2.js";
import "express";
import "axios";
import "knex";
import "dompurify";
import "dayjs";
import "chalk";
import "dayjs/plugin/relativeTime.js";
import "dayjs/plugin/utc.js";
import "dayjs/plugin/timezone.js";
import "dayjs/plugin/updateLocale.js";
import "dayjs/plugin/weekOfYear.js";
import "deepmerge";
import "fast-safe-stringify";
import "spark-md5";
import "nanoid";
import "is-plain-object";
import "prettyoutput";
import "consola";
import "validator";
import "@vueuse/head";
import "node-fetch";
import "vue-router";
import "jsonwebtoken";
import "fs-extra";
import "bcrypt";
import "knex-stringcase";
import "@sinclair/typebox";
import "nodemailer";
import "nodemailer-html-to-text";
import "@tailwindcss/forms";
import "unocss/vite";
import "@unocss/preset-icons";
import "nodemon";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "InputSelect",
  __ssrInlineRender: true,
  props: {
    defaultValue: { type: [Number, String, Boolean], default: "" },
    modelValue: { type: [Number, String, Boolean], default: "" },
    list: {
      type: Array,
      default: () => []
    },
    suffix: { type: String, default: "" }
  },
  emits: ["update:modelValue"],
  setup(__props, { emit }) {
    const props = __props;
    const attrs = vue.useAttrs();
    if (!props.modelValue && props.defaultValue) {
      emit("update:modelValue", props.defaultValue);
    }
    const parsedList = vue.computed(() => {
      return props.list ? normalizeList(props.list, {
        suffix: props.suffix
      }) : [];
    });
    const classes = ["overflow-hidden", "text-ellipsis", ...textInputClasses()];
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<select${ssrRenderAttrs(mergeProps({
        value: __props.modelValue,
        class: classes
      }, _attrs))}><option disabled value>${ssrInterpolate(unref(attrs).placeholder || "Select")}</option><!--[-->`);
      ssrRenderList(unref(parsedList), (s) => {
        _push(`<!--[-->`);
        if (s.value == "divider") {
          _push(`<option disabled>\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500</option>`);
        } else {
          _push(`<option${ssrRenderAttr("value", s.value)}${ssrIncludeBooleanAttr(!!s.disabled) ? " disabled" : ""}>${ssrInterpolate(s.label || s.name)}</option>`);
        }
        _push(`<!--]-->`);
      });
      _push(`<!--]--></select>`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("../ui/InputSelect.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as default
};
